Package healpix.essentials

## Class FitsUtil

- java.lang.Object
- - healpix.essentials.FitsUtil

    public class FitsUtil
    extends java.lang.Object

Basic FITS I/O support for Healpix maps.

### Constructor Summary

Constructors
`FitsUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HealpixMapDouble` `getDoubleMap​(java.lang.String filename, int hdu, int col)`
`static HealpixMapFloat` `getFloatMap​(java.lang.String filename, int hdu, int col)`
`static void` `writeDoubleMap​(HealpixMapDouble map, java.lang.String filename)`
`static void` `writeFloatMap​(HealpixMapFloat map, java.lang.String filename)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FitsUtil

    public FitsUtil()

### Method Detail

#### getFloatMap

    public static HealpixMapFloat getFloatMap​(java.lang.String filename,
                                              int hdu,
                                              int col)
                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getDoubleMap

    public static HealpixMapDouble getDoubleMap​(java.lang.String filename,
                                                int hdu,
                                                int col)
                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### writeFloatMap

    public static void writeFloatMap​(HealpixMapFloat map,
                                     java.lang.String filename)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### writeDoubleMap

    public static void writeDoubleMap​(HealpixMapDouble map,
                                      java.lang.String filename)
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`